Package org.opensaml.saml.metadata.criteria.role.impl

# Class RoleDescriptorCriterionPredicateRegistry

java.lang.Object
net.shibboleth.shared.resolver.CriterionPredicateRegistry<RoleDescriptor>
org.opensaml.saml.metadata.criteria.role.impl.RoleDescriptorCriterionPredicateRegistry

public class RoleDescriptorCriterionPredicateRegistry extends CriterionPredicateRegistry<RoleDescriptor>
Default `CriterionPredicateRegistry` for `RoleDescriptor`.

## Constructor Summary

Constructors
Constructor
Description
`RoleDescriptorCriterionPredicateRegistry()`
Constructor.

## Method Summary

### Methods inherited from class net.shibboleth.shared.resolver.CriterionPredicateRegistry

`clearRegistry, deregister, getPredicate, loadMappings, loadMappings, lookup, register`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RoleDescriptorCriterionPredicateRegistry

public RoleDescriptorCriterionPredicateRegistry()
Constructor.